## view.xhtml
Class HtmlText

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.RawText
              view.xhtml.HtmlText

    public class HtmlText

extends RawText

Constructor Summary
`HtmlText(java.lang.String text)` Constructs an HtmlText object from a String.

Method Summary
`private static java.lang.String` `encode(java.lang.String text)` Encodes plain text using HTML entities when necessary.
`java.lang.String` `getHtml()` Returns the HTML source code of the text.

Methods inherited from class view.xhtml.RawText
`getHtml`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HtmlText

    public HtmlText(java.lang.String text)

  Constructs an HtmlText object from a String.

Method Detail

### encode

    private static java.lang.String encode(java.lang.String text)

  Encodes plain text using HTML entities when necessary.

  Parameters:
    `text` - the text to encode

### getHtml

    public final java.lang.String getHtml()

  Returns the HTML source code of the text. applying the encode() method to it.

  Overrides:
    `getHtml` in class `RawText`